summary refs log tree commit diff
path: root/pkgs/os-specific/linux/ov511/ov511-2.32-builder.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/os-specific/linux/ov511/ov511-2.32-builder.sh')
-rw-r--r--pkgs/os-specific/linux/ov511/ov511-2.32-builder.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/pkgs/os-specific/linux/ov511/ov511-2.32-builder.sh b/pkgs/os-specific/linux/ov511/ov511-2.32-builder.sh
new file mode 100644
index 00000000000..c189c2e1706
--- /dev/null
+++ b/pkgs/os-specific/linux/ov511/ov511-2.32-builder.sh
@@ -0,0 +1,22 @@
+source $stdenv/setup
+
+hashname=$(basename $kernel)
+echo $hashname
+if echo "$hashname" | grep -q '^[a-z0-9]\{32\}-'; then
+  hashname=$(echo "$hashname" | cut -c -32)
+fi
+
+stripHash $kernel
+version=$(echo $strippedName | cut -c 7-)-$hashname
+
+echo "version $version"
+
+export version
+
+ensureDir $out/lib/modules/$version/kernel/drivers/usb/media/
+
+genericBuild
+
+echo "b0rken"
+
+exit 1